﻿@model IEnumerable<Cdio447.Models.games>

@{
    ViewBag.Title = "Games";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<div class="box-title-section">
    <h1 class="m-0">Danh sách games</h1>
</div>
<div class="d-flex">
    @using (Html.BeginForm("Index", "Games", FormMethod.Get))
    {
    <div class="form-row align-items-center mb-1">
        <div class="col-12 col-lg-auto">
            <input type="button" class="btn btn_template mr-3" value="Thêm mới" onclick="location.href='@Url.Action("Create","Games")'" />
        </div>
        <div class="col-12 col-lg-auto">
            @Html.TextBox("searchString", "", new { @class= "form-control", @placeholder = "Nhập games cần tìm" })
        </div>
        <div class="col-12 col-lg-auto">
            <input type="submit" value="Tìm kiếm" class="ml-3 btn btn-primary h-100" />
        </div>
    </div>
    }
</div>
<div class="table-box">
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.link)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.description)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Count() == 0)
            {
                <tr>
                    <td colspan="3" style="color:red">
                        Không tìm thấy dữ liệu
                    </td>
                </tr>
            }
            else
            {
                foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.link)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.description)
                        </td>
                        <td>
                            @Html.ActionLink("Chỉnh sửa", "Edit", new { id = item.id }) ||
                            @*@Html.ActionLink("Xoá", "Delete", new { id = item.id },new {onclick="return confirm('Bạn có muốn xoá danh mục này')"})*@
                            <a class="delete-link" onclick="return confirm('Bạn có muốn xoá danh mục này')" href="@Url.Action("Delete", new { id = item.id })"><span style="color: red">Xóa</span></a>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>
@section scripts{
    <script type="text/javascript">
        $('.delete-link').click(function (e) {
            var a_href = $(this).attr('href');
            e.preventDefault();
            $.ajax({
                url: a_href, /* Nội dung trong Delete.cshtml cụ thể là deleteModal div được server trả về */
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                success: function (data) { /* Sau khi nhận được giá */
                    if (confirm) {
                        alert("Xóa thành công");
                        location.reload();
                    }
                }
            });
        });
    </script>
}